> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Recurring PayPal PayIn (MIT)

[Read more about the Recurring PayPal PayIn object](/api-reference/paypal/recurring-paypal-payin-object) **→**

### Body parameters

<ParamField body="DebitedFunds" type="object">
  Required if the registration’s `NextTransactionDebitedFunds` is empty.

  The amount of the subsequent recurring pay-in. If this field is empty, the amount entered in the `NextTransactionDebitedFunds` of the Recurring PayIn Registration is taken into account.

  **Caution:** An amount must be transmitted during either the recurring registration or pay-in (if it’s different from the registration one).

  <Expandable title="properties">
    <ParamField body="Currency" type="string" required>
      **Allowed values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

      The currency of the debited funds.
    </ParamField>

    <ParamField body="Amount" type="integer" required>
      An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="Fees" type="object">
  Required if the registration’s `NextTransactionFees` is empty.

  The amount of the subsequent fees. If this field is empty, the amount entered in the `NextTransactionFees` of the Recurring PayIn Registration is taken into account.

  **Caution:** An amount must be transmitted during either the recurring registration or pay-in (if it’s different from the registration one).

  <Expandable title="properties">
    <ParamField body="Currency" type="string" required>
      **Allowed values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

      The currency of the fees.
    </ParamField>

    <ParamField body="Amount" type="integer" required>
      An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
    </ParamField>
  </Expandable>
</ParamField>

<RecurringPayinRegistrationId />

<ParamField body="Tag" type="string">
  Max. length: 255 characters

  Custom data that you can add to this object.\
  For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
</ParamField>

<ParamField body="ReturnURL" type="string" required>
  Max. length: 255 characters

  The URL to which the user is returned after the payment, whether the transaction is successful or not.
</ParamField>

<CancelURL />

<ParamField body="StatementDescriptor" type="string">
  Max. length: 10 characters; only alphanumeric and spaces

  Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the <a href="/bank-statements">Customizing bank statement references</a> article for details.
</ParamField>

<ParamField body="Shipping" type="object">
  **Default values:** `Shipping` information of the registration object (if present).

  Required if `ShippingPreference` is `SET_PROVIDED_ADDRESS` and the shipping information is not present in the recurring registration object.

  Information about the end user’s shipping address, managed by `ShippingPreference`.

  <Expandable title="properties">
    <ParamField body="FirstName" type="string">
      The first name of the user.
    </ParamField>

    <ParamField body="LastName" type="string">
      Max. length: 100 characters

      The last name of the user.
    </ParamField>

    <ParamField body="Address" type="object" required>
      Information about the shipping address.

      <Expandable title="properties">
        <ParamField body="AddressLine1" type="string" required>
          Max. length: 255 characters

          The first line of the address.
        </ParamField>

        <ParamField body="AddressLine2" type="string">
          Max. length: 255 characters

          The second line of the address.
        </ParamField>

        <ParamField body="City" type="string" required>
          Max. length: 255 characters

          The city of the address.
        </ParamField>

        <ParamField body="Region" type="string">
          Max. length: 255 characters

          Required if `Country` is US, CA, or MX.

          The region of the address.
        </ParamField>

        <ParamField body="PostalCode" type="string" required>
          Max. length: 255 characters

          The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
        </ParamField>

        <ParamField body="Country" type="string" required>
          Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

          The country of the address.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="LineItems" type="array" required>
  object

  Information about the items purchased in the transaction. The total of all line items’ `UnitAmount` and `TaxAmount` must equal the `DebitedFunds` amount (negative amounts not allowed).

  <Expandable title="properties">
    <ParamField body="Name" type="string" required>
      Max. length: 127 characters (truncated after)

      The name of the item.
    </ParamField>

    <ParamField body="Quantity" type="integer" required>
      The quantity of the item.
    </ParamField>

    <ParamField body="UnitAmount" type="integer" required>
      The cost of the item, excluding tax.
    </ParamField>

    <ParamField body="TaxAmount" type="integer">
      The tax amount applied to the item.
    </ParamField>

    <ParamField body="Description" type="string" required>
      Max. length: 127 characters (truncated after)

      The platform’s unique reference for the seller. This value must be consistently used for the given seller. You can use, for example, the Mangopay `UserId` or the seller’s business name or first name and last name.\
      Caution: Failure to use a unique seller identifier may result in PayPal restricting your service.
    </ParamField>

    <ParamField body="Category" type="string">
      **Allowed values:** PHYSICAL\_GOODS, DIGITAL\_GOODS, DONATION

      The category of the item:

      * `PHYSICAL_GOODS` – Tangible items that can be physically shipped and received with proof of delivery upon arrival.
      * `DIGITAL_GOODS` – Products or services that are distributed and consumed via digital platforms or devices. 
      * `DONATION` – Voluntary contribution made without any goods or services received in return. Multiple line items can be categorized as `DONATION` within a single transaction, however it is not possible to combine `DONATION` other line item categories within the same transaction.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="Culture" type="string">
  **Allowed values:** One of the supported languages in the <a href="/api-reference/overview/data-formats">ISO 639-1 format</a>: AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US.

  The language in which the PayPal payment page is to be displayed.
</ParamField>

<ParamField body="ShippingPreference" type="string">
  **Allowed values:** `SET_PROVIDED_ADDRESS`, `GET_FROM_FILE`, `NO_SHIPPING`

  Information about the shipping address behavior on the PayPal payment page:

  * `SET_PROVIDED_ADDRESS` - The `Shipping` parameter becomes required and its values are displayed to the end user, who is not able to modify them.
  * `GET_FROM_FILE` – The `Shipping` parameter is ignored and the end user can choose from registered addresses.
  * `NO_SHIPPING` – No shipping address section is displayed.
</ParamField>

<ParamField body="Reference" type="string">
  Max. length: 127 characters (truncated after)

  The platform’s order reference for the transaction.
</ParamField>

<ParamField body="DataCollectionId" type="string">
  The unique identifier of the Data Collection object containing the data sent for this pay-in via the [POST Submit data for a PayPal PayIn](/api-reference/paypal/submit-data-paypal-payin) endpoint.

  Each PayPal pay-in or preauth requires a new `DataCollectionId`. The property is not returned on the pay-in endpoints.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200 - Response parameters">
    <ResponseField name="Id" type="string">
      Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

      The unique identifier of the object.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.\
      For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="AuthorId" type="string">
      The unique identifier of the user at the source of the transaction.
    </ResponseField>

    <CreditedUserIdResponse />

    <ResponseField name="DebitedFunds" type="object">
      The amount of the subsequent recurring pay-in. If this field is empty, the amount entered in the `NextTransactionDebitedFunds` of the Recurring PayIn Registration is taken into account.

      **Caution:** An amount must be transmitted during either the recurring registration or pay-in (if it’s different from the registration one).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the debited funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="CreditedFunds" type="object">
      Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the credited funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Fees" type="object">
      The amount of the subsequent fees. If this field is empty, the amount entered in the `NextTransactionFees` of the Recurring PayIn Registration is taken into account.

      **Caution:** An amount must be transmitted during either the recurring registration or pay-in (if it’s different from the registration one).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the fees.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Status" type="string">
      **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

      The status of the transaction.
    </ResponseField>

    <ResponseField name="ResultCode" type="string">
      The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
    </ResponseField>

    <ResponseField name="ResultMessage" type="string">
      The explanation of the result code.
    </ResponseField>

    <ResponseField name="ExecutionDate" type="Unix timestamp">
      The date and time at which the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
    </ResponseField>

    <ResponseField name="Type" type="string">
      **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT`

      The type of the transaction.
    </ResponseField>

    <ResponseField name="Nature" type="string">
      **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT`

      The nature of the transaction, providing more information about the context in which the transaction occurred:

      * `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
      * `REPUDIATION` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
      * `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
      * `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
    </ResponseField>

    <ResponseField name="CreditedWalletId" type="string">
      The unique identifier of the credited wallet.
    </ResponseField>

    <DebitedWalletId1Response />

    <PaymentType2Response />

    <ResponseField name="ExecutionType" type="string">
      **Returned values:** `WEB`, `DIRECT`, `EXTERNAL_INSTRUCTION`

      The type of execution for the pay-in.
    </ResponseField>

    <SecureModeResponse />

    <CardId1Response />

    <SecureModeReturnURLResponse />

    <SecureModeRedirectURLResponse />

    <SecureModeNeededResponse />

    <Culture6Response />

    <SecurityInfoResponse />

    <ResponseField name="StatementDescriptor" type="string">
      Max. length: 10 characters; only alphanumeric and spaces

      Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the <a href="/bank-statements">Customizing bank statement references</a> article for details.
    </ResponseField>

    <BrowserInfoResponse />

    <IpAddressResponse />

    <Billing1Response />

    <ResponseField name="Shipping" type="object">
      **Default values:** `Shipping` information of the recurring pay-in registration object (if present).

      Information about the end user's shipping address, managed by `ShippingPreference`.

      <Expandable title="properties">
        <ResponseField name="FirstName" type="string">
          The first name of the user.
        </ResponseField>

        <ResponseField name="LastName" type="string">
          Max. length: 100 characters

          The last name of the user.
        </ResponseField>

        <ResponseField name="Address" type="object">
          Information about the shipping address.

          <Expandable title="properties">
            <ResponseField name="AddressLine1" type="string">
              Max. length: 255 characters

              The first line of the address.
            </ResponseField>

            <ResponseField name="AddressLine2" type="string">
              Max. length: 255 characters

              The second line of the address.
            </ResponseField>

            <ResponseField name="City" type="string">
              Max. length: 255 characters

              The city of the address.
            </ResponseField>

            <ResponseField name="Region" type="string">
              Max. length: 255 characters

              The region of the address. This field is optional except if the `Country` is US, CA, or MX.
            </ResponseField>

            <ResponseField name="PostalCode" type="string">
              Max. length: 255 characters

              The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
            </ResponseField>

            <ResponseField name="Country" type="string">
              Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

              The country of the address.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <Requested3DSVersionResponse />

    <Applied3DSVersionResponse />

    <ResponseField name="RecurringPayinRegistrationId" type="string">
      The unique identifier of the recurring pay-in registration. On PayPal, this parameter is only returned if the pay-in is a recurring one.
    </ResponseField>

    <PreferredCardNetworkResponse />

    <CardInfoResponse />
  </Accordion>
</AccordionGroup>

<AccordionGroup>
  <Accordion title="400 - Free cycle declared in registration: debited funds can't be sent">
    ```json theme={null}
    {
        "Message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.",
        "Type": "param_error",
        "Id": "6224dcac-cf20-4305-98f0-6ba622090e53",
        "Date": 1760624922.0,
        "errors": {
            "DebitedFunds": "must not be specified for a free cycle."
        }
    }
    ```
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200   theme={null}
  {
      "Id": "wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
      "Tag": "Created using the Mangopay API Postman collection",
      "CreationDate": 1731580317,
      "AuthorId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 4500
      },
      "CreditedFunds": {
          "Currency": "EUR",
          "Amount": 4500
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 0
      },
      "Status": "SUCCEEDED",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "ExecutionDate": 1731580323,
      "Type": "PAYIN",
      "Nature": "REGULAR",
      "CreditedWalletId": "wlt_m_01J9KR4A7BH8KVE4PG6DTNS817",
      "CreditedUserId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
      "PaymentType": "PAYPAL",
      "ExecutionType": "WEB",
      "ReturnURL": "http://example.com?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
      "StatementDescriptor": "Example123",
      "Shipping": {
          "FirstName": "Leland",
          "LastName": "Baumbach",
          "Address": {
              "AddressLine1": "65247 Hand Walk",
              "AddressLine2": "Mraz Neck",
              "City": "Paris",
              "Region": "Île-de-France",
              "PostalCode": "75001",
              "Country": "FR"
          }
      },
      "LineItems": [
          {
              "Name": "Product C",
              "Quantity": 1,
              "UnitAmount": 1500,
              "TaxAmount": 0,
              "Description": "ID of Seller 1",
              "Category": "PHYSICAL_GOODS"
          },
          {
              "Name": "Product D",
              "Quantity": 1,
              "UnitAmount": 3000,
              "TaxAmount": 0,
              "Description": "ID of Seller 2",
              "Category": "PHYSICAL_GOODS"
          }
      ],
      "Culture": "FR",
      "ShippingPreference": "SET_PROVIDED_ADDRESS",
      "PaypalBuyerAccountEmail": "sb-xej7a6945106@business.example.com",
      "Reference": "abcd-efgh-ijkl",
      "Trackings": null,
      "CancelURL": "http://example.net?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
      "PaypalPayerID": "RVN3GJJS2KGV4",
      "BuyerCountry": "FR",
      "BuyerFirstname": "John",
      "BuyerLastname": "Doe",
      "BuyerPhone": null,
      "PaypalOrderID": "9KH88598NK328901B",
      "RecurringPayinRegistrationId": "recpayinreg_wt_c1fb7e3f-8204-4427-9251-df886fbb4e42"
  }
  ```
</ResponseExample>

<RequestExample>
  ```json REST   theme={null}
  {
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 4500
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 0
      },
      "ReturnURL": "http://example.com",
      "CancelURL" : "http://example.net",
      "LineItems": [
          {
              "Name": "Product C",
              "Quantity": 1,
              "UnitAmount": 1500,
              "TaxAmount": 0,
              "Description": "ID of Seller 1",
              "Category": "PHYSICAL_GOODS"
          },
          {
              "Name": "Product D",
              "Quantity": 1,
              "UnitAmount": 3000,
              "TaxAmount": 0,
              "Description": "ID of Seller 2",
              "Category": "PHYSICAL_GOODS"
          }
      ],
      "Tag": "Created using the Mangopay API Postman collection",
      "RecurringPayinRegistrationId" : "recpayinreg_wt_be7e55b9-8b0c-4a87-a815-00e55748c723",
      "ShippingPreference": "SET_PROVIDED_ADDRESS",
      "Reference": "abcd-efgh-ijkl",
      "StatementDescriptor" : "Example123"
  }
  ```
</RequestExample>
